# mongoc_client_session_commit_transaction()

## Synopsis

    bool
    mongoc_client_session_commit_transaction (mongoc_client_session_t *session,
                                              bson_t *reply,
                                              bson_error_t *error);

Commit a multi-document transaction.

## Parameters

- `session`: A mongoc_client_session_t.

- `reply`: An optional uninitialized `bson_t` to receive the server reply, or `NULL`.

- `error`: An optional location for a bson_error_t or `NULL`.

## Return

Returns true if the transaction was committed. Returns `false` and sets `error` if there are invalid arguments, such as a session with no transaction in progress, or if there is a server or network error.

If a `reply` is supplied, it is always initialized and must be freed with `bson_destroy()`.

See also

mongoc_client_session_abort_transaction()
mongoc_client_session_advance_cluster_time()
mongoc_client_session_advance_operation_time()
mongoc_client_session_commit_transaction()
mongoc_client_session_destroy()
mongoc_client_session_get_client()
mongoc_client_session_get_cluster_time()
mongoc_client_session_get_lsid()
mongoc_client_session_get_operation_time()
mongoc_client_session_get_opts()
mongoc_client_session_get_server_id()
mongoc_client_session_start_transaction()
mongoc_client_session_t
mongoc_client_start_session()
mongoc_session_opts_clone()
mongoc_session_opts_destroy()
mongoc_session_opts_get_causal_consistency()
mongoc_session_opts_get_default_transaction_opts()
mongoc_session_opts_get_transaction_opts()
mongoc_session_opts_new()
mongoc_session_opts_set_causal_consistency()
mongoc_session_opts_set_default_transaction_opts()
mongoc_transaction_opts_clone()
mongoc_transaction_opts_destroy()
mongoc_transaction_opts_get_max_commit_time_ms()
mongoc_transaction_opts_get_read_concern()
mongoc_transaction_opts_get_read_prefs()
mongoc_transaction_opts_get_write_concern()
mongoc_transaction_opts_new()
mongoc_transaction_opts_set_max_commit_time_ms()
mongoc_transaction_opts_set_read_concern()
mongoc_transaction_opts_set_read_prefs()
mongoc_transaction_opts_set_write_concern()